Bug 128379 - make[1]: *** [Documentation/DocBook/kernel-api.pdf] Error 8
make[1]: *** [Documentation/DocBook/kernel-api.pdf] Error 8
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-07-22 09:16 EDT by Cliff Palmer
Modified: 2015-01-04 17:08 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-13 17:17:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Cliff Palmer 2004-07-22 09:16:37 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7)
Gecko/20040616

Description of problem:
make pdfdocs (from /usr/src/linux-2.6.6-1.435.2.3) results in:
...
lots of things that seemed to work ok
...
  DB2PDF  Documentation/DocBook/kernel-api.pdf
Using catalogs: /etc/sgml/sgml-docbook-3.1-1.0-24.cat
Using stylesheet:
/usr/share/sgml/docbook/utils-0.6.14/docbook-utils.dsl#print
Working on: /usr/src/linux-2.6/Documentation/DocBook/kernel-api.sgml
jade:/usr/src/linux-2.6/Documentation/DocBook/kernel-api.sgml:6605:27:E:
ID "API
-DIRECT-STRNCPY-FROM-USER" already defined
jade:/usr/src/linux-2.6/Documentation/DocBook/kernel-api.sgml:6463:27:
ID "API-D
IRECT-STRNCPY-FROM-USER" first defined here
make[1]: *** [Documentation/DocBook/kernel-api.pdf] Error 8
make: *** [pdfdocs] Error 2


Version-Release number of selected component (if applicable):
kernel 2.6.6-1.435.2.3

How reproducible:
Always

Steps to Reproduce:
1. cd /usr/src/linux-2.6.6-1.435.2.3
2. make pdfdoc
3. 
    

Actual Results:  ...
lots of things that seemed to work ok
...
  DB2PDF  Documentation/DocBook/kernel-api.pdf
Using catalogs: /etc/sgml/sgml-docbook-3.1-1.0-24.cat
Using stylesheet:
/usr/share/sgml/docbook/utils-0.6.14/docbook-utils.dsl#print
Working on: /usr/src/linux-2.6/Documentation/DocBook/kernel-api.sgml
jade:/usr/src/linux-2.6/Documentation/DocBook/kernel-api.sgml:6605:27:E:
ID "API
-DIRECT-STRNCPY-FROM-USER" already defined
jade:/usr/src/linux-2.6/Documentation/DocBook/kernel-api.sgml:6463:27:
ID "API-D
IRECT-STRNCPY-FROM-USER" first defined here
make[1]: *** [Documentation/DocBook/kernel-api.pdf] Error 8
make: *** [pdfdocs] Error 2


Expected Results:  lots of good pdf docs

Additional info:

installed fedora core 2 and then ran up2date on July 22, 2004.  Kernel
is 2.6.6-1.435.2.3.
Makefile is dated July 1, size 36660, first few lines are:
VERSION = 2
PATCHLEVEL = 6
SUBLEVEL = 6
EXTRAVERSION = -1.435.2.3custom
NAME=Zonked Quokka
Comment 1 Cliff Palmer 2004-07-22 09:20:01 EDT
make htmldocs fails the same way:
  DB2HTML Documentation/DocBook/kernel-api.html
output is Documentation/DocBook/kernel-api
Using catalogs: /etc/sgml/sgml-docbook-3.1-1.0-24.cat
Using stylesheet:
/usr/share/sgml/docbook/utils-0.6.14/docbook-utils.dsl#html
Working on: /usr/src/linux-2.6/Documentation/DocBook/kernel-api.sgml
jade:/usr/src/linux-2.6/Documentation/DocBook/kernel-api.sgml:6605:27:E:
ID "API-DIRECT-STRNCPY-FROM-USER" already defined
jade:/usr/src/linux-2.6/Documentation/DocBook/kernel-api.sgml:6463:27:
ID "API-DIRECT-STRNCPY-FROM-USER" first defined here
make[1]: *** [Documentation/DocBook/kernel-api.html] Error 8
make: *** [htmldocs] Error 2
Comment 2 Dave Jones 2004-11-18 23:08:45 EST
try with the latest errata kernel.  if that still has a problem, please report
it upstream to linux-kernel@vger.kernel.org

Note You need to log in before you can comment on or make changes to this bug.